Bug 1872 - Extend ntlm_auth for group authorization stage
Extend ntlm_auth for group authorization stage
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: ntlm_auth tool
3.0.0preX
All All
: P3 enhancement
: none
Assigned To: Andrew Bartlett
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-05 07:18 UTC by Eric Ladner
Modified: 2005-08-24 10:23 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eric Ladner 2004-10-05 07:18:19 UTC
Extend ntlm_auth to make it return user groups, for use in the authorization
stage, and this in turn could be hooked into Apache security (mod_ntlm_winbind)
to allow or disallow access at the GROUP level instead of the USER level.
Comment 1 Gerald (Jerry) Carter 2005-02-07 08:19:36 UTC
isn't this fixed now (in 3.0.11)
Comment 2 Gerald (Jerry) Carter 2005-08-24 10:23:35 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.